<template>
  <div class="q-pa-md q-gutter-md">
    <q-list class="rounded-borders" style="width:100%; max-width: 350px">
      <q-item clickable>
        <q-item-section>
          <location-select />
        </q-item-section>
      </q-item>

      <q-item clickable>
        <q-item-section>
          <q-input bg-color="white" outlined v-model="cari" label=".  Cari Sesuatu?">
            <template v-slot:append >
              <q-btn style="background-color: orange; height: 56px; width: 56px; margin-right: -12px"  dense flat icon="search" />
            </template>
          </q-input>
        </q-item-section>
      </q-item>
    </q-list>

    <div class="q-pa-md col-md-3 col-sm-12 col-xs-12"  >
      <q-toolbar class="bg-primary text-white shadow-2">
        <q-toolbar-title class="text-weight-bolder" style="text-align: center">Kategori</q-toolbar-title>
      </q-toolbar>

      <q-list bordered >
        <q-list bordered >
          <div v-for="kategori in category" >
            <q-btn flat clickable v-ripple class="kategorilist" :to="`/c/m/${kategori.category}`">
              <q-item-section avatar style="max-height: 35px">
                <q-avatar rounded size="25px">
                  <img :src="kategori.img_web">
                </q-avatar>
              </q-item-section>
              <q-item-section>
                <q-item-label style="text-align: left">{{ kategori.category }}</q-item-label>
                <q-menu
                  ref="autoclosescroll1"
                  anchor="top right"
                  self="top left"
                >
                  <div class="row no-wrap">
                    <div class="column">
                      <div class="text-h6">
                        lorem1
                      </div>
                    </div>
                    <q-separator vertical inset class="q-mx-lg"/>

                    <div class="column">
                      <div class="text-h6">
                        lorem2
                      </div>
                    </div>
                  </div>
                </q-menu>
              </q-item-section>
            </q-btn>
          </div>

        </q-list>
      </q-list>
  </div>
  </div>
</template>

<script>
import LocationSelect from "components/Layouts/LocationSelect";

export default {
  name: 'MenuSamping',

  components: {
    LocationSelect
  },

  beforeMount() {
    this.getCategory();
  },

  data () {
    return {
      items: [],
      category: null,
      cari: null
    }
  },

  methods: {
    getCategory() {
      this.$axios.get("/api/category/menu")
        .then(sukses => {
          this.category = sukses.data
          let hasil = []
          sukses.data.forEach(function (data) {
            let x = {
              title: data.category,
              content: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam sit amet fringilla ante. Quisque at ipsum non lacus consequat dictum.',
              image: data.img_mobile
            };
            hasil.push(x)
          })
          this.items = hasil
        })
    }
  }
}
</script>

<style lang="scss" scoped>

.buttonkategorimobile {
  text-align: center;
  margin: 10px 0 0 0;
  height: 65px;
  width: 65px;
  cursor: pointer;
}


.kategorilist { ;
  height: 35px;
  width: 100%;
  color: black;
  background-color: #f7f7f7;
}

.kategorilist1 { ;
  height: 35px;
  width: 100%;
  color: black;
  background-color: #c4c4c4;
}

.subkategori { ;
  width: 50px;
  margin: 2px 2px 2px 2px;

}


.absolute-sm {
  @media screen and (min-width: 0px) and (max-width: 991px) {

    position: absolute;
    z-index: -1;
  }
}

.absolute-sm-text {
  margin-top: 30px;
  margin-left: 50px;
  @media screen and (min-width: 0px) and (max-width: 991px) {
    margin-top: 15px;
    margin-left: 25px;
  }
}



.absolute-sm-img {
  width: 90%;
  @media screen and (min-width: 0px) and (max-width: 991px) {
    width: 67%;
    margin-bottom: 80px;
  }
}

.sm-img-scroll {
  @media screen and (min-width: 0px) and (max-width: 991px) {
    min-width: 300px;
  }
}

#buton1 {
  @media screen and (min-width: 0px) and (max-width: 991px) {
    transform: scale(0.7);
    margin-left: -40px;
    margin-top: -15px!important;
  }
}

#image1 {
  @media screen and (min-width: 0px) and (max-width: 991px) {
    height: 230px!important;
  }
}


</style>
